petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSFComputeMultiRootOriginalNumbering

Returns original numbering of multi-roots (roots of multi-SF returned by PetscSFGetMultiSF()). Each multi-root is assigned index of the corresponding original root.

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFComputeMultiRootOriginalNumbering(PetscSF sf, const PetscInt degree[], PetscInt *nMultiRoots, PetscInt *multiRootsOrigNumbering[])

Collective

### Input Arguments

| sf | - star forest
| degree | - degree of each root vertex, computed with PetscSFComputeDegreeBegin()/PetscSFComputeDegreeEnd()

### Output Arguments

| nMultiRoots | - (optional) number of multi-roots (roots of multi-SF)
| multiRootsOrigNumbering | - original indices of multi-roots; length of this array is nMultiRoots

### Notes

The returned array multiRootsOrigNumbering is newly allocated and should be destroyed with PetscFree() when no longer needed.

### See Also

PetscSFComputeDegreeBegin(), PetscSFComputeDegreeEnd(), PetscSFGetMultiSF()

### Level

developer

### Location

src/vec/is/sf/interface/sf.c

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages